/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/** 
 * @author Mikhail Fursov
 * @version $Revision: 1.1.2.1.4.5 $
 */  

/*
 * THE FILE HAS BEEN AUTOGENERATED BY INTEL IJH TOOL.
 * Please be aware that all changes made to this file manually
 * will be overwritten by the tool if it runs again.
 */

#include <jni.h>


/* Header for class java.lang.EMThreadSupport */

#ifndef _JAVA_LANG_EMTHREADSUPPORT_H
#define _JAVA_LANG_EMTHREADSUPPORT_H

#ifdef __cplusplus
extern "C" {
#endif


/* Native methods */

/*
 * Method: java.lang.EMThreadSupport.needProfilerThreadSupport()Z
 */
JNIEXPORT jboolean JNICALL
Java_java_lang_EMThreadSupport_needProfilerThreadSupport(JNIEnv *, jclass);

/*
 * Method: java.lang.EMThreadSupport.onTimeout()V
 */
JNIEXPORT void JNICALL
Java_java_lang_EMThreadSupport_onTimeout(JNIEnv *, jclass);

/*
 * Method: java.lang.EMThreadSupport.getTimeout()I
 */
JNIEXPORT jint JNICALL
Java_java_lang_EMThreadSupport_getTimeout(JNIEnv *, jclass);


#ifdef __cplusplus
}
#endif

#endif /* _JAVA_LANG_EMTHREADSUPPORT_H */

